export interface InterfaceResponseData {
  data: any
  message?: string
  success?: boolean
  code?: number
}
export interface responseHandle {
  (responseData): { data: any, message: string, success: boolean, code: number }
}

const responseHandle: responseHandle = (data, message = 'success', success = true, code = 200) => {
  return {
    data,
    message,
    success,
    code
  };
};

export default responseHandle;
